# repo-installer
A set of tools for making installable floppies for OpenComputers from OPPM repositories.

## repoinstaller
An installer script that can be placed on a floppy containing an oppm repo to create an installer. Includes selecting packages for installation and attempting to install packages via oppm if they are not found.

There must be a *master/* folder, containing a *programs.cfg* file on the disk, and all paths in programs.cfg must be specified relative to the root of the floppy disk.

## instgen
A script to download an oppm repository to create an installer (including install script)

Usage:

```
instgen https://raw.githubusercontent.com/ShadowKatStudios/OC-Minitel/master/programs.cfg /mnt/04d/
```

This will download all the files specified in the programs.cfg specified into */mnt/04d*, in a manner compatible with repoinstaller.

You must provide your own .prop file.
